## coin3 3.1.4~abc9f50+dfsg3

=== debian/changelog ===
coin3 (3.1.4~abc9f50+dfsg3-2) unstable; urgency=medium

  * Team upload.
  * [e6b5281] Use SbHash-file from the current upstream version. (Closes: #884947)
  * [6628274] Set Standards-Version to 4.1.3
  * [47240a4] Update VCS-field

 -- Anton Gladky <gladk@debian.org>  Fri, 29 Dec 2017 00:27:37 +0100

coin3 (3.1.4~abc9f50+dfsg3-1) unstable; urgency=medium

  * [2b9d334] Revert the previoud removal of embedded expat. (Closes: #884947)
  * [7b2c782] New upstream version 3.1.4~abc9f50+dfsg3

 -- Anton Gladky <gladk@debian.org>  Sat, 23 Dec 2017 09:50:10 +0100
