=== debian/control ===
Source: coin3
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Section: graphics
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 10),
               autotools-dev,
               doxygen,
               libgl1-mesa-dev,
               libx11-dev,
               libexpat-dev,
               libxext-dev,
               libxi-dev,
               libxmu-dev,
               libxpm-dev,
               libxt-dev,
               libboost-all-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/coin3
Vcs-Git: https://salsa.debian.org/science-team/coin3.git
Homepage: https://bitbucket.org/Coin3D/coin/

Package: libcoin80v5
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: libbz2-1.0,
          libfreetype6,
          libopenal0a,
          libsimage-dev,
          zlib1g
Pre-Depends: ${misc:Pre-Depends}
Breaks: libcoin80
Replaces: libcoin80
Description: high-level 3D graphics kit implementing the Open Inventor API
 Coin is an OpenGL-based, retain-mode 3D graphics library that
 implements the Open Inventor 2.1 API. It also includes support for
 VRML97 and 3D audio.  Installing the suggested packages will enable
 extra features:
 .
     libsimage-dev enables loading of image files in SbImage
     libfreetype6 enables use of TrueType fonts
     libopenal0a   enables audio support
     zlib1g and libbz2 enable transparent read of compressed files

Package: libcoin80-dev
Architecture: any
Section: libdevel
Depends: libcoin80v5 (= ${binary:Version}),
         libgl1-mesa-dev | libgl-dev,
         libx11-dev,
         libxext-dev,
         libxi-dev,
         libxmu-dev,
         libxpm-dev,
         libxt-dev,
         ${misc:Depends}
Suggests: libcoin80-doc (= ${binary:Version})
Conflicts: inventor-dev,
           libcoin20-dev,
           libcoin40-dev,
           libcoin60-dev
Description: high-level 3D graphics devkit with Open Inventor and VRML97 support
 Coin is an OpenGL-based, retain-mode 3D graphics library that
 implements the Open Inventor 2.1 API. It also includes support for
 VRML97 and 3D audio.

Package: libcoin80-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libcoin80-dev (= ${binary:Version})
Conflicts: inventor-dev,
           libcoin20-doc,
           libcoin40-doc,
           libcoin60-doc
Description: high-level 3D graphics kit with Open Inventor and VRML97 support
 API documentation for the Coin library (the Open Inventor API) in
 manpage and HTML format.

Package: libcoin80-runtime
Architecture: all
Section: libs
Depends: ${misc:Depends}
Suggests: libcoin80v5
Conflicts: libcoin20-runtime,
           libcoin40-runtime,
           libcoin60-runtime
Description: high-level 3D graphics kit - external data files
 External data files used by the Coin library at run-time.  The
 dragger geometry files represent the defaults that are used if the
 files are not found.  This package is completely optional.
