=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with autotools_dev --without autoreconf

DEB_CONFIGURE_EXTRA_FLAGS = \
	--disable-dependency-tracking \
	--enable-static \
	--enable-shared \
	--disable-maintainer-mode \
	--enable-html htmldir=/usr/share/doc/libcoin80-doc/html \
	--without-mesa \
	--enable-threadsafe \
	--enable-system-expat

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)
