=== debian/tests/control ===
Tests: build1
Depends: libcoin80-dev, freeglut3-dev, build-essential, xvfb, xauth
