=== include/CMakeLists.txt ===
add_subdirectory(Inventor)
install(DIRECTORY Inventor/ DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Inventor COMPONENT development FILES_MATCHING PATTERN "*.h")
install(FILES SoWinEnterScope.h SoWinLeaveScope.h SoDebug.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR} COMPONENT development)
set(COIN_DOCUMENTATION_FILES
	${COIN_DOCUMENTATION_FILES}
	${CMAKE_SOURCE_DIR}/include/SoDebug.h
	CACHE INTERNAL "COIN_DOCUMENTATION_FILES"
)
