=== include/Inventor/system/CMakeLists.txt ===
if(WIN32)
    set(SIM_INCLUDE_WINDOWS_H "#include <windows.h>")
endif()
if(APPLE)
    set(SIM_INCLUDE_GL_H "#include <OpenGL/gl.h>")
else()
    set(SIM_INCLUDE_GL_H "#include <GL/gl.h>")
endif()
configure_file(gl-headers.h.cmake.in gl-headers.h)
configure_file(inttypes.h.cmake.in inttypes.h)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/gl-headers.h ${CMAKE_CURRENT_BINARY_DIR}/inttypes.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/Inventor/system COMPONENT development)
