=== debian/changelog ===
coin3 (4.0.0~CMake~6f54f1602475+ds1-2) unstable; urgency=medium

  * Fix autopkgtest.
  * Set Standards-Version: 4.3.0. No changes.

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Thu, 24 Jan 2019 10:33:15 +0100

coin3 (4.0.0~CMake~6f54f1602475+ds1-1) unstable; urgency=medium

  * Transition from experimental to unstable. Closes: #914392

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 19 Dec 2018 23:03:29 +0100

coin3 (4.0.0~CMake~6f54f1602475+ds1-1~exp2) experimental; urgency=medium

  * Added Conflicts in libcoin-dev to inventor-dev. Closes: #914686
  * We are not using (CMake version) the embed expat library. Closes: #560928

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Mon, 26 Nov 2018 13:23:12 +0100

coin3 (4.0.0~CMake~6f54f1602475+ds1-1~exp1) experimental; urgency=medium

  [ Anton Gladky ]
  * Remove testsuite-files from d/control
  * Use Breaks/Replaces. Remove old libs-confilcts
  * Do not introduce privacy breach
  * Mangle ds-version in d/watch

  [ Leopold Palomo-Avellaneda ]
  * New upstream version 6f54f1602475 (20181007)
  * Added cmake files
  * Update changelog
  * Renamed package dropping v5 suffix to c
  * Drop the moved files
  * Delete trailing whitespaces in changelog
  * Added myself as Uploader
  * Drop unused files
  * Delete Breaks and replaces changed to libcoin80v5
  * Improved rules to use CMake
  * Renamed libcoin80-dev to libcoin-dev
  * Rename libcoin80-doc to libcoin-doc
  * Rename libcoin80-runtime to libcoin-runtime
  * Bump standards version. No changes
  * Improve libcoin-doc long description
  * Bump debhelper dependency to 11
  * Use of system expat library. Added as build dependency. (Closes: #884947)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 14 Nov 2018 15:19:01 +0100

coin3 (4.0.0~CMake~1d5b2270e495+dfsg1-1~exp1) experimental; urgency=medium

  * [ee4f2fa] New upstream version 4.0.0~CMake~1d5b2270e495+dfsg1
  * [77535c3] Add Readme.source
  * [0899133] Refresh patches
  * [e533e12] Update due to a new release
  * [88ca1a5] Add myself to uploaders again
  * [52a0f11] Apply cme fix dpkg

 -- Anton Gladky <gladk@debian.org>  Wed, 27 Dec 2017 00:24:51 +0100
