=== debian/tests/control ===
Tests: build1
Depends: libcoin-dev, freeglut3-dev, build-essential, xvfb, xauth
