## coin3 4.0.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: coin3
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>, Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+Uploaders: Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
                doxygen,
                libexpat-dev,
-               libgl1-mesa-dev,
                libx11-dev,
                libxext-dev,
                libxi-dev,
@@ -15,14 +14,20 @@
                libxpm-dev,
                libxt-dev,
                libboost-all-dev,
-               freeglut3-dev
-Standards-Version: 4.3.0
+               freeglut3-dev,
+	       libgl-dev,
+	       libglvnd-dev,
+	       libopengl-dev,
+ 	       libglew-dev
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/coin3
 Vcs-Git: https://salsa.debian.org/science-team/coin3.git
-Homepage: https://bitbucket.org/Coin3D/coin/
+Homepage: https://github.com/coin3d
 
 Package: libcoin80c
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -48,7 +53,9 @@
 Architecture: any
 Section: libdevel
 Depends: libcoin80c (= ${binary:Version}),
-         libgl1-mesa-dev | libgl-dev,
+         libgl-dev,
+	 libopengl-dev,
+	 libglew-dev,
          libx11-dev,
          libxext-dev,
          libxi-dev,
@@ -67,6 +74,7 @@
 
 Package: libcoin-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Suggests: libcoin-dev (= ${binary:Version})
@@ -82,6 +90,7 @@
 
 Package: libcoin-runtime
 Architecture: all
+Multi-Arch: foreign
 Section: libs
 Depends: ${misc:Depends}
 Suggests: libcoin80c
